<bugID>1102025<Summary>e10s - fix browser_keywordBookmarklets.js - javascript bookmarklet should inherit principal</Summary><Description>So this test currently fails in e10s because this assertion:

ok(gBrowser.contentPrincipal.equals(originalPrincipal), "javascript bookmarklet should inherit principal");

is false.

Looking at this, it seems under e10s both principals are null principals (but with different IDs), whereas under non-e10s, both are about:blank.

Dao, should this just be waiting for about:blank to load, or is something else going on? And could this potentially cause security issues? (CC'ing bholley and bz just in case they want to chime in here)</Description></bugID>